knotc(8)

NAME
knotc - Knot DNS control utility

SYNOPSIS
knotc [parameters] <action> [action_args]

DESCRIPTION

  Parameters:

-c [file], --config=[file] Select configuration file.

-s [server] Remote UNIX socket/IP address (default ${prefix}/var/run/knot/knot.sock)

-p [port] Remote server port (only for IP).

-y [hmac:]name:key] Use key_id for specified on the command line.

-k [file] Use key file (as in config section 'keys').
    f.e. echo "knotc-key hmac-md5 Wg==" > knotc.key If you omit algorithm, hmac-md5 will be used as default.

-f, --force
    Force operation - override some checks.

-v, --verbose
    Verbose mode - additional runtime information.

-V, --version
    Print knot server version.

-i, --interactive
    Interactive mode (do not daemonize).

-h, --help
    Print help and usage.

  Actions:

stop
    Stop knot server daemon (no-op if not running).

reload
    Reload knot configuration and zones.

flush
    Flush journal and update zone files.

status
    Check if server is running.

zonestatus
    Show status of configured zones.

refresh
    Refresh slave zones (all if not specified).

checkconf
    Check server configuration.

checkzone
    Check zones before compiling (accepts specific zones, f.e. 'knotc checkzone example1.com example2.com').

memstats
    Estimate memory consumption for zone files. Useful mainly for big zones.

  EXAMPLES

Setup a keyfile for remote control

1. Generate keys
    dnssec-keygen -a hmac-md5 -b 256 -n HOST knotc-key

2. Extract secret in base64 format and create keyfile
    echo "knotc-key hmac-md5 <secret>" > knotc.key Make sure the key can be read/written only by owner for security reasons.

Reload server remotely
    knotc -s 127.0.0.1 -k knotc.key reload

SEE ALSO
The full documentation for Knot is maintained as a Texinfo manual. If the info and Knot programs are properly installed at your site, the command

    info Knot

should give you access to the complete manual.